# List All Webhook Endpoints

## /v1/webhook\_endpoints

<mark style="color:blue;">`GET`</mark> `https://api.uiza.sh/v1/webhook_endpoints`

#### Query Parameters

| Name        | Type   | Description                                                                       |
| ----------- | ------ | --------------------------------------------------------------------------------- |
| status      | string | Indicates the current status of the webhook endpoint, either disabled or enabled. |
| page\_token | string | The maximum number of objects to be returned, between 1 and 20.                   |
| page\_size  | string | The pagination cursor of the result page to be retrieved.                         |

{% tabs %}
{% tab title="200 " %}

```
{
 "data": [
  {
   "id": "f0f207af-b338-4b7f-8d32-fe9cfa9566eb",
   "url": "https://webhook-test.com/live/created",
   "status": "enabled",
   "created_at": "2019-12-16T10:57:32Z",
   "updated_at": "2019-12-16T10:57:32Z"
  }
 ],
 "next_page_token": "eyJjcmVhdGVkX2F0IjoxNTc2MDA4NjkxMDAwLCJpZCI6IjAwNzVmZjcyLWE0ODYtNDg0Ni05Y2NjLWY1ZWU4YTA0MmQ0NSJ9"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl -X GET 'https://api.uiza.sh/v1/webhook_endpoints' 
     -H 'Authorization: uap-c1ffbff4db954ddcb050c6af0b43ba56-41193b64' 
```

{% endcode %}
